Page MenuHomePhabricator

Convert Special:Import to OOUI
Open, MediumPublic

Description

Example on beta labs.

  • Transform to OOUI (including few tricky bits here):
    • HTMLForm currently doesn't support the fancy mix of radio buttons, combo boxes and text boxes, as seen in the "new" section of M28. While I could change this to use hide-if, that would force an ugly vertical layout; makes it difficult to write good radio button labels; and is also confusing to the user (they can't see the relevant field until they select the option). I'd prefer to keep the current layout, but possibly using a conditional disable instead of conditional hiding.
    • Also apparently HTMLForm doesn't support two forms on one page (T102114), but HTMLForm is sophisticated enough that I suspect there might be a way around this.
    • How to deal with the file upload on PHP vs JS side? T170263
BeforeAfter

Event Timeline

TTO created this task.Aug 12 2015, 7:21 AM
TTO claimed this task.
TTO raised the priority of this task from to Low.
TTO updated the task description. (Show Details)
TTO added a subscriber: TTO.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2015, 7:21 AM
Legoktm added a subscriber: Legoktm.

I started work on this but can't finish until these issues are resolved.

Can you file blockers for the other issues? :)

Volker_E renamed this task from Convert Special:Import to use HTMLForm to Convert Special:Import to OOUI.Jan 19 2016, 12:00 AM
Volker_E set Security to None.
Volker_E moved this task from Unsorted to Conversion to OOUI on the UI-Standardization board.
TTO removed TTO as the assignee of this task.Feb 12 2016, 11:20 AM
Volker_E updated the task description. (Show Details)Oct 19 2018, 1:53 PM
Volker_E updated the task description. (Show Details)
Volker_E updated the task description. (Show Details)Jan 4 2019, 5:13 AM
Volker_E updated the task description. (Show Details)
Volker_E added a subscriber: matmarex.
Volker_E updated the task description. (Show Details)Jan 7 2019, 7:31 AM
Volker_E updated the task description. (Show Details)Mar 24 2019, 12:10 AM
Restricted Application added a project: User-DannyS712. · View Herald TranscriptJan 17 2020, 1:16 AM
DannyS712 moved this task from Unsorted to Next on the User-DannyS712 board.Jan 22 2020, 9:27 AM
This comment was removed by DannyS712.
DannyS712 changed the task status from Open to Stalled.Jan 23 2020, 2:51 AM
DannyS712 raised the priority of this task from Low to Medium.Jan 30 2020, 6:30 PM
DannyS712 moved this task from Next to In progress on the User-DannyS712 board.

Change 645439 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/core@master] Convert Special:Import to OOUI

https://gerrit.wikimedia.org/r/645439

DannyS712 changed the task status from Stalled to Open.Jan 22 2021, 1:52 AM
DannyS712 removed DannyS712 as the assignee of this task.
DannyS712 added subscribers: Esanders, DannyS712.

Since there is a current patch from @Esanders, and I may not have time to work on this, unlicking

Current patch:

Test wiki created on Patch Demo by Kizule using patch(es) linked to this task:

https://patchdemo.wmflabs.org/wikis/831588cb7f5fe061bf7df7e6b8097d85/w/

Kizule added a subscriber: Kizule.Thu, Feb 4, 1:46 AM

Test wiki created on Patch Demo by Kizule using patch(es) linked to this task:

https://patchdemo.wmflabs.org/wikis/831588cb7f5fe061bf7df7e6b8097d85/w/

Looks very nice, thanks! :)

Change 645439 merged by jenkins-bot:
[mediawiki/core@master] Convert Special:Import to OOUI

https://gerrit.wikimedia.org/r/645439

Kizule added a comment.Thu, Feb 4, 1:51 AM

Test wiki created on Patch Demo by Kizule using patch(es) linked to this task:

https://patchdemo.wmflabs.org/wikis/831588cb7f5fe061bf7df7e6b8097d85/w/

Looks very nice, thanks! :)

On phone too:

If anyone wants to test this out on the beta cluster I can grant you importer rights

Test wiki on Patch Demo by Kizule using patch(es) linked to this task was deleted:

https://patchdemo.wmflabs.org/wikis/831588cb7f5fe061bf7df7e6b8097d85/w/

TTO added a comment.Thu, Feb 4, 3:43 AM

On enwiki on the beta cluster, the "Import as subpages" option is selected by default for both XML and transwiki import. It should default to "Import to default locations" in the first instance, then when the form is reloaded, the option the user previously selected should be chosen.

Legoktm removed a subscriber: Legoktm.Thu, Feb 4, 7:40 AM

I think that this should be announced in the Tech News, like for T235424: Convert action=protect to OOUI (protect form is unusable on mobile).

TTO added a comment.Sat, Feb 6, 2:00 AM

On enwiki on the beta cluster, the "Import as subpages" option is selected by default for both XML and transwiki import. It should default to "Import to default locations" in the first instance, then when the form is reloaded, the option the user previously selected should be chosen.

I filed this as a Regression subtask: T274025

Please see possibly related new bug; T275031